# Generated from smtpcom-sendapi-1.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name smtpcom-sendapi

Name: rubygem-%{gem_name}
Version: 1.0.1
Release: 1%{?dist}
Summary: Ruby bindings for Smtpcom Sendapi
License: MIT
URL: https://github.com/smtpinc/sendapi-ruby
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9.3
# BuildRequires: rubygem(rspec) >= 3.2
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rspec) >= 3.2.0
# BuildRequires: rubygem(vcr) >= 2.9
# BuildRequires: rubygem(vcr) < 3
# BuildRequires: rubygem(vcr) >= 2.9.3
# BuildRequires: rubygem(webmock) >= 1.21
# BuildRequires: rubygem(webmock) < 2
# BuildRequires: rubygem(webmock) >= 1.21.0
BuildArch: noarch

%description
Easy way to manage your email campaigns. See
https://www.smtp.com/solutions/transactional-email-service-api/ for details.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/smtpcom-sendapi.gemspec

%changelog
* Wed Apr 20 2022 mockbuilder - 1.0.1-1
- Initial package
